> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Briefing Form

> Upload a DOCX/PDF file, parse it, and store as a composable BriefForm.

Also creates a SpaceFile for R2 file storage (backward compat).
Returns legacy BriefingFormResponse format for existing frontend.



## OpenAPI

````yaml /openapi.json post /api/v1/teams/{team_id}/briefing-forms
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/briefing-forms:
    post:
      tags:
        - Teams
      summary: Upload Briefing Form
      description: |-
        Upload a DOCX/PDF file, parse it, and store as a composable BriefForm.

        Also creates a SpaceFile for R2 file storage (backward compat).
        Returns legacy BriefingFormResponse format for existing frontend.
      operationId: upload_briefing_form_api_v1_teams__team_id__briefing_forms_post
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_briefing_form_api_v1_teams__team_id__briefing_forms_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BriefingFormResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_upload_briefing_form_api_v1_teams__team_id__briefing_forms_post:
      properties:
        file:
          type: string
          contentMediaType: application/octet-stream
          title: File
      type: object
      required:
        - file
      title: Body_upload_briefing_form_api_v1_teams__team_id__briefing_forms_post
    BriefingFormResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        questions:
          items:
            $ref: '#/components/schemas/BriefingFormQuestionSchema'
          type: array
          title: Questions
        source_filename:
          type: string
          title: Source Filename
        is_default:
          type: boolean
          title: Is Default
          default: false
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - questions
        - source_filename
        - created_at
      title: BriefingFormResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BriefingFormQuestionSchema:
      properties:
        question_text:
          type: string
          title: Question Text
        question_type:
          type: string
          title: Question Type
          default: textarea
        order:
          type: integer
          title: Order
          default: 0
        placeholder:
          type: string
          title: Placeholder
          default: ''
        options:
          items:
            type: string
          type: array
          title: Options
      type: object
      required:
        - question_text
      title: BriefingFormQuestionSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````